on: [push]
jobs:
  build-all-services:
    runs-on: docker
    container:
      image: hub.docker.com/_/rust:1-bookworm
    steps:
      - id: asklyphe-auth-frontend
        uses: ./.forgejo/build-service
        with:
          service-name: "asklyphe-auth-frontend"
      - id: asklyphe-frontend
        uses: ./.forgejo/build-service
        with:
          service-name: "asklyphe-frontend"
      - id: authservice
        uses: ./.forgejo/build-service
        with:
          service-name: "authservice"
      - id: bingservice
        uses: ./.forgejo/build-service
        with:
          service-name: "bingservice"
      - id: googleservice
        uses: ./.forgejo/build-service
        with:
          service-name: "googleservice"
      - id: lyphedb
        uses: ./.forgejo/build-service
        with:
          service-name: "lyphedb"
      - id: searchservice
        uses: ./.forgejo/build-service
        with:
          service-name: "searchservice"
      - id: vorebot
        uses: ./.forgejo/build-service
        with:
          service-name: "vorebot"
